UpnpActionRequest.h File Reference

Header file for UpnpActionRequest methods. More...

`#include <stdlib.h>`
`#include "UpnpGlobal.h"`
`#include "UpnpInet.h"`
`#include "UpnpString.h"`
`#include "ixml.h"`
Include dependency graph for UpnpActionRequest.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct s_UpnpActionRequest | UpnpActionRequest

## Functions

UpnpActionRequest * | UpnpActionRequest_new ()
void | UpnpActionRequest_delete (UpnpActionRequest *p)
UpnpActionRequest * | UpnpActionRequest_dup (const UpnpActionRequest *p)
int | UpnpActionRequest_assign (UpnpActionRequest *p, const UpnpActionRequest *q)
int | UpnpActionRequest_get_ErrCode (const UpnpActionRequest *p)
int | UpnpActionRequest_set_ErrCode (UpnpActionRequest *p, int n)
int | UpnpActionRequest_get_Socket (const UpnpActionRequest *p)
int | UpnpActionRequest_set_Socket (UpnpActionRequest *p, int n)
const UpnpString * | UpnpActionRequest_get_ErrStr (const UpnpActionRequest *p)
int | UpnpActionRequest_set_ErrStr (UpnpActionRequest *p, const UpnpString *s)
size_t | UpnpActionRequest_get_ErrStr_Length (const UpnpActionRequest *p)
const char * | UpnpActionRequest_get_ErrStr_cstr (const UpnpActionRequest *p)
int | UpnpActionRequest_strcpy_ErrStr (UpnpActionRequest *p, const char *s)
int | UpnpActionRequest_strncpy_ErrStr (UpnpActionRequest *p, const char *s, size_t n)
void | UpnpActionRequest_clear_ErrStr (UpnpActionRequest *p)
const UpnpString * | UpnpActionRequest_get_ActionName (const UpnpActionRequest *p)
int | UpnpActionRequest_set_ActionName (UpnpActionRequest *p, const UpnpString *s)
size_t | UpnpActionRequest_get_ActionName_Length (const UpnpActionRequest *p)
const char * | UpnpActionRequest_get_ActionName_cstr (const UpnpActionRequest *p)
int | UpnpActionRequest_strcpy_ActionName (UpnpActionRequest *p, const char *s)
int | UpnpActionRequest_strncpy_ActionName (UpnpActionRequest *p, const char *s, size_t n)
void | UpnpActionRequest_clear_ActionName (UpnpActionRequest *p)
const UpnpString * | UpnpActionRequest_get_DevUDN (const UpnpActionRequest *p)
int | UpnpActionRequest_set_DevUDN (UpnpActionRequest *p, const UpnpString *s)
size_t | UpnpActionRequest_get_DevUDN_Length (const UpnpActionRequest *p)
const char * | UpnpActionRequest_get_DevUDN_cstr (const UpnpActionRequest *p)
int | UpnpActionRequest_strcpy_DevUDN (UpnpActionRequest *p, const char *s)
int | UpnpActionRequest_strncpy_DevUDN (UpnpActionRequest *p, const char *s, size_t n)
void | UpnpActionRequest_clear_DevUDN (UpnpActionRequest *p)
const UpnpString * | UpnpActionRequest_get_ServiceID (const UpnpActionRequest *p)
int | UpnpActionRequest_set_ServiceID (UpnpActionRequest *p, const UpnpString *s)
size_t | UpnpActionRequest_get_ServiceID_Length (const UpnpActionRequest *p)
const char * | UpnpActionRequest_get_ServiceID_cstr (const UpnpActionRequest *p)
int | UpnpActionRequest_strcpy_ServiceID (UpnpActionRequest *p, const char *s)
int | UpnpActionRequest_strncpy_ServiceID (UpnpActionRequest *p, const char *s, size_t n)
void | UpnpActionRequest_clear_ServiceID (UpnpActionRequest *p)
IXML_Document * | UpnpActionRequest_get_ActionRequest (const UpnpActionRequest *p)
int | UpnpActionRequest_set_ActionRequest (UpnpActionRequest *p, IXML_Document *n)
IXML_Document * | UpnpActionRequest_get_ActionResult (const UpnpActionRequest *p)
int | UpnpActionRequest_set_ActionResult (UpnpActionRequest *p, IXML_Document *n)
IXML_Document * | UpnpActionRequest_get_SoapHeader (const UpnpActionRequest *p)
int | UpnpActionRequest_set_SoapHeader (UpnpActionRequest *p, IXML_Document *n)
const struct sockaddr_storage * | UpnpActionRequest_get_CtrlPtIPAddr (const UpnpActionRequest *p)
int | UpnpActionRequest_set_CtrlPtIPAddr (UpnpActionRequest *p, const struct sockaddr_storage *buf)
void | UpnpActionRequest_clear_CtrlPtIPAddr (UpnpActionRequest *p)
const UpnpString * | UpnpActionRequest_get_Os (const UpnpActionRequest *p)
int | UpnpActionRequest_set_Os (UpnpActionRequest *p, const UpnpString *s)
size_t | UpnpActionRequest_get_Os_Length (const UpnpActionRequest *p)
const char * | UpnpActionRequest_get_Os_cstr (const UpnpActionRequest *p)
int | UpnpActionRequest_strcpy_Os (UpnpActionRequest *p, const char *s)
int | UpnpActionRequest_strncpy_Os (UpnpActionRequest *p, const char *s, size_t n)
void | UpnpActionRequest_clear_Os (UpnpActionRequest *p)

## Detailed Description

Header file for UpnpActionRequest methods.

Do not edit this file, it is automatically generated. Please look at generator.c.

Author
  Marcelo Roberto Jimenez

## Typedef Documentation

## UpnpActionRequest

typedef struct s_UpnpActionRequest UpnpActionRequest

UpnpActionRequest

## Function Documentation

## UpnpActionRequest_assign()

int UpnpActionRequest_assign | ( | UpnpActionRequest * | p,
|  | const UpnpActionRequest * | q
| ) |  |

Assignment operator

References UpnpActionRequest_get_ActionName(), UpnpActionRequest_get_ActionRequest(), UpnpActionRequest_get_ActionResult(), UpnpActionRequest_get_CtrlPtIPAddr(), UpnpActionRequest_get_DevUDN(), UpnpActionRequest_get_ErrCode(), UpnpActionRequest_get_ErrStr(), UpnpActionRequest_get_Os(), UpnpActionRequest_get_ServiceID(), UpnpActionRequest_get_SoapHeader(), UpnpActionRequest_get_Socket(), UpnpActionRequest_set_ActionName(), UpnpActionRequest_set_ActionRequest(), UpnpActionRequest_set_ActionResult(), UpnpActionRequest_set_CtrlPtIPAddr(), UpnpActionRequest_set_DevUDN(), UpnpActionRequest_set_ErrCode(), UpnpActionRequest_set_ErrStr(), UpnpActionRequest_set_Os(), UpnpActionRequest_set_ServiceID(), UpnpActionRequest_set_SoapHeader(), and UpnpActionRequest_set_Socket().

Referenced by UpnpActionRequest_dup().

## UpnpActionRequest_clear_ActionName()

void UpnpActionRequest_clear_ActionName | ( | UpnpActionRequest * | p | ) |

UpnpActionRequest_clear_ActionName

References UpnpString_clear().

## UpnpActionRequest_clear_CtrlPtIPAddr()

void UpnpActionRequest_clear_CtrlPtIPAddr | ( | UpnpActionRequest * | p | ) |

UpnpActionRequest_get_CtrlPtIPAddr

## UpnpActionRequest_clear_DevUDN()

void UpnpActionRequest_clear_DevUDN | ( | UpnpActionRequest * | p | ) |

UpnpActionRequest_clear_DevUDN

References UpnpString_clear().

## UpnpActionRequest_clear_ErrStr()

void UpnpActionRequest_clear_ErrStr | ( | UpnpActionRequest * | p | ) |

UpnpActionRequest_clear_ErrStr

References UpnpString_clear().

## UpnpActionRequest_clear_Os()

void UpnpActionRequest_clear_Os | ( | UpnpActionRequest * | p | ) |

UpnpActionRequest_clear_Os

References UpnpString_clear().

## UpnpActionRequest_clear_ServiceID()

void UpnpActionRequest_clear_ServiceID | ( | UpnpActionRequest * | p | ) |

UpnpActionRequest_clear_ServiceID

References UpnpString_clear().

## UpnpActionRequest_delete()

void UpnpActionRequest_delete | ( | UpnpActionRequest * | p | ) |

Destructor

References UpnpString_delete().

Referenced by handle_invoke_action().

## UpnpActionRequest_dup()

UpnpActionRequest * UpnpActionRequest_dup | ( | const UpnpActionRequest * | p | ) |

Copy Constructor

References UpnpActionRequest_assign(), and UpnpActionRequest_new().

## UpnpActionRequest_get_ActionName()

const UpnpString * UpnpActionRequest_get_ActionName | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_ActionName

Referenced by SampleUtil_PrintEvent(), TvDeviceHandleActionRequest(), UpnpActionRequest_assign(), UpnpActionRequest_get_ActionName_cstr(), and UpnpActionRequest_get_ActionName_Length().

## UpnpActionRequest_get_ActionName_cstr()

const char * UpnpActionRequest_get_ActionName_cstr | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_ActionName_cstr

References UpnpActionRequest_get_ActionName(), and UpnpString_get_String().

## UpnpActionRequest_get_ActionName_Length()

size_t UpnpActionRequest_get_ActionName_Length | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_ActionName_Length

References UpnpActionRequest_get_ActionName(), and UpnpString_get_Length().

## UpnpActionRequest_get_ActionRequest()

IXML_Document * UpnpActionRequest_get_ActionRequest | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_ActionRequest

Referenced by SampleUtil_PrintEvent(), TvDeviceHandleActionRequest(), and UpnpActionRequest_assign().

## UpnpActionRequest_get_ActionResult()

IXML_Document * UpnpActionRequest_get_ActionResult | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_ActionResult

Referenced by handle_invoke_action(), SampleUtil_PrintEvent(), and UpnpActionRequest_assign().

## UpnpActionRequest_get_CtrlPtIPAddr()

const struct sockaddr_storage * UpnpActionRequest_get_CtrlPtIPAddr | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_CtrlPtIPAddr

Referenced by UpnpActionRequest_assign().

## UpnpActionRequest_get_DevUDN()

const UpnpString * UpnpActionRequest_get_DevUDN | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_DevUDN

Referenced by SampleUtil_PrintEvent(), TvDeviceHandleActionRequest(), UpnpActionRequest_assign(), UpnpActionRequest_get_DevUDN_cstr(), and UpnpActionRequest_get_DevUDN_Length().

## UpnpActionRequest_get_DevUDN_cstr()

const char * UpnpActionRequest_get_DevUDN_cstr | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_DevUDN_cstr

References UpnpActionRequest_get_DevUDN(), and UpnpString_get_String().

## UpnpActionRequest_get_DevUDN_Length()

size_t UpnpActionRequest_get_DevUDN_Length | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_DevUDN_Length

References UpnpActionRequest_get_DevUDN(), and UpnpString_get_Length().

## UpnpActionRequest_get_ErrCode()

int UpnpActionRequest_get_ErrCode | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_ErrCode

Referenced by handle_invoke_action(), SampleUtil_PrintEvent(), TvDeviceHandleActionRequest(), and UpnpActionRequest_assign().

## UpnpActionRequest_get_ErrStr()

const UpnpString * UpnpActionRequest_get_ErrStr | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_ErrStr

Referenced by SampleUtil_PrintEvent(), UpnpActionRequest_assign(), UpnpActionRequest_get_ErrStr_cstr(), and UpnpActionRequest_get_ErrStr_Length().

## UpnpActionRequest_get_ErrStr_cstr()

const char * UpnpActionRequest_get_ErrStr_cstr | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_ErrStr_cstr

References UpnpActionRequest_get_ErrStr(), and UpnpString_get_String().

Referenced by handle_invoke_action().

## UpnpActionRequest_get_ErrStr_Length()

size_t UpnpActionRequest_get_ErrStr_Length | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_ErrStr_Length

References UpnpActionRequest_get_ErrStr(), and UpnpString_get_Length().

## UpnpActionRequest_get_Os()

const UpnpString * UpnpActionRequest_get_Os | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_Os

Referenced by UpnpActionRequest_assign(), UpnpActionRequest_get_Os_cstr(), and UpnpActionRequest_get_Os_Length().

## UpnpActionRequest_get_Os_cstr()

const char * UpnpActionRequest_get_Os_cstr | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_Os_cstr

References UpnpActionRequest_get_Os(), and UpnpString_get_String().

## UpnpActionRequest_get_Os_Length()

size_t UpnpActionRequest_get_Os_Length | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_Os_Length

References UpnpActionRequest_get_Os(), and UpnpString_get_Length().

## UpnpActionRequest_get_ServiceID()

const UpnpString * UpnpActionRequest_get_ServiceID | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_ServiceID

Referenced by SampleUtil_PrintEvent(), TvDeviceHandleActionRequest(), UpnpActionRequest_assign(), UpnpActionRequest_get_ServiceID_cstr(), and UpnpActionRequest_get_ServiceID_Length().

## UpnpActionRequest_get_ServiceID_cstr()

const char * UpnpActionRequest_get_ServiceID_cstr | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_ServiceID_cstr

References UpnpActionRequest_get_ServiceID(), and UpnpString_get_String().

## UpnpActionRequest_get_ServiceID_Length()

size_t UpnpActionRequest_get_ServiceID_Length | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_ServiceID_Length

References UpnpActionRequest_get_ServiceID(), and UpnpString_get_Length().

## UpnpActionRequest_get_SoapHeader()

IXML_Document * UpnpActionRequest_get_SoapHeader | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_SoapHeader

Referenced by UpnpActionRequest_assign().

## UpnpActionRequest_get_Socket()

int UpnpActionRequest_get_Socket | ( | const UpnpActionRequest * | p | ) |

UpnpActionRequest_get_Socket

Referenced by UpnpActionRequest_assign().

## UpnpActionRequest_new()

UpnpActionRequest * UpnpActionRequest_new | ( |  | ) |

Constructor

References UpnpString_new().

Referenced by handle_invoke_action(), and UpnpActionRequest_dup().

## UpnpActionRequest_set_ActionName()

int UpnpActionRequest_set_ActionName | ( | UpnpActionRequest * | p,
|  | const UpnpString * | s
| ) |  |

UpnpActionRequest_set_ActionName

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpActionRequest_assign().

## UpnpActionRequest_set_ActionRequest()

int UpnpActionRequest_set_ActionRequest | ( | UpnpActionRequest * | p,
|  | IXML_Document * | n
| ) |  |

UpnpActionRequest_set_ActionRequest

Referenced by handle_invoke_action(), and UpnpActionRequest_assign().

## UpnpActionRequest_set_ActionResult()

int UpnpActionRequest_set_ActionResult | ( | UpnpActionRequest * | p,
|  | IXML_Document * | n
| ) |  |

UpnpActionRequest_set_ActionResult

Referenced by handle_invoke_action(), TvDeviceHandleActionRequest(), and UpnpActionRequest_assign().

## UpnpActionRequest_set_CtrlPtIPAddr()

int UpnpActionRequest_set_CtrlPtIPAddr | ( | UpnpActionRequest * | p,
|  | const struct sockaddr_storage * | buf
| ) |  |

UpnpActionRequest_get_CtrlPtIPAddr

Referenced by handle_invoke_action(), and UpnpActionRequest_assign().

## UpnpActionRequest_set_DevUDN()

int UpnpActionRequest_set_DevUDN | ( | UpnpActionRequest * | p,
|  | const UpnpString * | s
| ) |  |

UpnpActionRequest_set_DevUDN

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpActionRequest_assign().

## UpnpActionRequest_set_ErrCode()

int UpnpActionRequest_set_ErrCode | ( | UpnpActionRequest * | p,
|  | int | n
| ) |  |

UpnpActionRequest_set_ErrCode

Referenced by handle_invoke_action(), TvDeviceHandleActionRequest(), and UpnpActionRequest_assign().

## UpnpActionRequest_set_ErrStr()

int UpnpActionRequest_set_ErrStr | ( | UpnpActionRequest * | p,
|  | const UpnpString * | s
| ) |  |

UpnpActionRequest_set_ErrStr

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpActionRequest_assign().

## UpnpActionRequest_set_Os()

int UpnpActionRequest_set_Os | ( | UpnpActionRequest * | p,
|  | const UpnpString * | s
| ) |  |

UpnpActionRequest_set_Os

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpActionRequest_assign().

## UpnpActionRequest_set_ServiceID()

int UpnpActionRequest_set_ServiceID | ( | UpnpActionRequest * | p,
|  | const UpnpString * | s
| ) |  |

UpnpActionRequest_set_ServiceID

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpActionRequest_assign().

## UpnpActionRequest_set_SoapHeader()

int UpnpActionRequest_set_SoapHeader | ( | UpnpActionRequest * | p,
|  | IXML_Document * | n
| ) |  |

UpnpActionRequest_set_SoapHeader

Referenced by UpnpActionRequest_assign().

## UpnpActionRequest_set_Socket()

int UpnpActionRequest_set_Socket | ( | UpnpActionRequest * | p,
|  | int | n
| ) |  |

UpnpActionRequest_set_Socket

Referenced by UpnpActionRequest_assign().

## UpnpActionRequest_strcpy_ActionName()

int UpnpActionRequest_strcpy_ActionName | ( | UpnpActionRequest * | p,
|  | const char * | s
| ) |  |

UpnpActionRequest_strcpy_ActionName

References UpnpString_set_String().

Referenced by handle_invoke_action().

## UpnpActionRequest_strcpy_DevUDN()

int UpnpActionRequest_strcpy_DevUDN | ( | UpnpActionRequest * | p,
|  | const char * | s
| ) |  |

UpnpActionRequest_strcpy_DevUDN

References UpnpString_set_String().

Referenced by handle_invoke_action().

## UpnpActionRequest_strcpy_ErrStr()

int UpnpActionRequest_strcpy_ErrStr | ( | UpnpActionRequest * | p,
|  | const char * | s
| ) |  |

UpnpActionRequest_strcpy_ErrStr

References UpnpString_set_String().

Referenced by TvDeviceHandleActionRequest().

## UpnpActionRequest_strcpy_Os()

int UpnpActionRequest_strcpy_Os | ( | UpnpActionRequest * | p,
|  | const char * | s
| ) |  |

UpnpActionRequest_strcpy_Os

References UpnpString_set_String().

## UpnpActionRequest_strcpy_ServiceID()

int UpnpActionRequest_strcpy_ServiceID | ( | UpnpActionRequest * | p,
|  | const char * | s
| ) |  |

UpnpActionRequest_strcpy_ServiceID

References UpnpString_set_String().

Referenced by handle_invoke_action().

## UpnpActionRequest_strncpy_ActionName()

int UpnpActionRequest_strncpy_ActionName | ( | UpnpActionRequest * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpActionRequest_strncpy_ActionName

References UpnpString_set_StringN().

## UpnpActionRequest_strncpy_DevUDN()

int UpnpActionRequest_strncpy_DevUDN | ( | UpnpActionRequest * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpActionRequest_strncpy_DevUDN

References UpnpString_set_StringN().

## UpnpActionRequest_strncpy_ErrStr()

int UpnpActionRequest_strncpy_ErrStr | ( | UpnpActionRequest * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpActionRequest_strncpy_ErrStr

References UpnpString_set_StringN().

## UpnpActionRequest_strncpy_Os()

int UpnpActionRequest_strncpy_Os | ( | UpnpActionRequest * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpActionRequest_strncpy_Os

References UpnpString_set_StringN().

Referenced by handle_invoke_action().

## UpnpActionRequest_strncpy_ServiceID()

int UpnpActionRequest_strncpy_ServiceID | ( | UpnpActionRequest * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpActionRequest_strncpy_ServiceID

References UpnpString_set_StringN().